Skip to main content
POST
/
bank-linking
/
connections
/
{connectionId}
/
refresh
Refresh accounts belonging to a connection
curl --request POST \
  --url https://api-sb.meld.io/bank-linking/connections/{connectionId}/refresh \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "products": []
}'
{
  "requestId": "<string>",
  "serviceProviderDetails": {}
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Path Parameters

connectionId
string
required

Connection id

Body

application/json
products
enum<string>[]

List of products to refresh for the connection. Can only select products which were included when the connection was made. Another way to say this is you cannot request a refresh of products the customer has not granted access to. If no products are specified, all products from the connection are refreshed.

Available options:
BALANCES,
IDENTIFIERS,
INVESTMENT_HOLDINGS,
INVESTMENT_TRANSACTIONS,
OWNERS,
TRANSACTIONS

Response

Request for refresh has been accepted

requestId
string

The id of this request

serviceProviderDetails
object

Additional Service Provider details, may be null